Bug 481672 - init DEBUG_PAGEALLOC
init DEBUG_PAGEALLOC
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-26 18:20 EST by Lukas Bezdicka
Modified: 2010-06-28 07:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:09:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages output (122.89 KB, text/plain)
2009-01-26 18:38 EST, Lukas Bezdicka
no flags Details

  None (edit)
Description Lukas Bezdicka 2009-01-26 18:20:01 EST
Description of problem:

Random crash during boot

Version-Release number of selected component (if applicable):


How reproducible:
No clue probably hard to reproduce

  
Actual results:

      KERNEL: /usr/lib/debug/lib/modules/2.6.29-0.48.rc2.git1.fc11.x86_64/vmlinux
    DUMPFILE: 127.0.0.1-2009-01-25-11:56:15/vmcore
        CPUS: 2
        DATE: Sun Jan 25 11:55:58 2009
      UPTIME: 00:01:17
LOAD AVERAGE: 1.19, 0.37, 0.13
       TASKS: 190
    NODENAME: AetheR
     RELEASE: 2.6.29-0.48.rc2.git1.fc11.x86_64
     VERSION: #1 SMP Fri Jan 23 15:33:29 EST 2009
     MACHINE: x86_64  (1595 Mhz)
      MEMORY: 2 GB
       PANIC: "Oops: 0000 [#1] SMP DEBUG_PAGEALLOC" (check log for details)
         PID: 1
     COMMAND: "init"
        TASK: ffff88007e810000  [THREAD_INFO: ffff88007e80e000]
         CPU: 0
       STATE: TASK_INTERRUPTIBLE (PANIC)

crash> bt
PID: 1      TASK: ffff88007e810000  CPU: 0   COMMAND: "init"
 #0 [ffff88007e80f660] machine_kexec at ffffffff81026128
 #1 [ffff88007e80f790] crash_kexec at ffffffff8107e632
 #2 [ffff88007e80f870] oops_end at ffffffff81385374
 #3 [ffff88007e80f8a0] do_page_fault at ffffffff81387004
 #4 [ffff88007e80fc20] page_fault at ffffffff81384715
 #5 [ffff88007e80fca8] shrink_dcache_parent at ffffffff810edd1c
 #6 [ffff88007e80fd20] proc_flush_task at ffffffff81126d60
 #7 [ffff88007e80fda0] release_task at ffffffff8104c6b9
 #8 [ffff88007e80fde0] wait_consider_task at ffffffff8104d048
 #9 [ffff88007e80fe80] do_wait at ffffffff8104d570
#10 [ffff88007e80ff40] sys_waitid at ffffffff8104d8bd
#11 [ffff88007e80ff80] system_call_fastpath at ffffffff810112ba
    RIP: 00000039998a7d4e  RSP: 00007fff062eab68  RFLAGS: 00000246
    RAX: 00000000000000f7  RBX: ffffffff810112ba  RCX: ffffffffffffffff
    RDX: 00007fff062eaab0  RSI: 00000000000009fd  RDI: 0000000000000001
    RBP: 00007fff062eaab0   R8: 0000000000000000   R9: 0000000000000011
    R10: 0000000000000004  R11: 0000000000000246  R12: 0000000000000001
    R13: 0000000000000009  R14: 0000000000000001  R15: 00000000000009fd
    ORIG_RAX: 00000000000000f7  CS: 0033  SS: 002b
crash> irq
irq: x86_64_dump_irq: irq_desc[] does not exist?



Expected results:
normal boot

Additional info:
I have kdump enabled so I catch such random things but this one is strange as there was nothing unusual.
Comment 1 Lukas Bezdicka 2009-01-26 18:38:40 EST
Created attachment 330043 [details]
/var/log/messages output
Comment 2 Kyle McMartin 2009-02-24 21:25:46 EST
At what point during boot do you see this? Is it randomly occuring, or randomly placed? It's very odd. :)
Comment 3 Kyle McMartin 2009-02-24 21:28:27 EST
Oh, I'm sorry, I misread what you meant. So it's always "init" that does this? I wonder if this is related to some of the other "hang during boot" bugs we've seen... (ie: https://bugzilla.redhat.com/show_bug.cgi?id=485874)

Very, very strange. Maybe your debug output will help us catch this... thanks!

cheers, Kyle
Comment 4 Chuck Ebbert 2009-04-10 20:49:28 EDT
I think you need to run the "log" command in crash to see the complete oops message.
Comment 5 Bug Zapper 2009-06-09 06:53:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-04-27 08:48:18 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 07:09:10 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.